Bug 247537 - math/givaro: Fix build on CURRENT
Summary: math/givaro: Fix build on CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-06-25 14:23 UTC by Gleb Popov
Modified: 2020-06-29 14:45 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
patch (3.14 KB, patch)
2020-06-25 14:23 UTC, Gleb Popov
arrowd: maintainer-approval? (pi)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2020-06-25 14:23:32 UTC
Created attachment 215934 [details]
patch

The patch is also pending review upstream: https://github.com/linbox-team/givaro/pull/161
Comment 1 Kurt Jaeger freebsd_committer 2020-06-25 14:43:29 UTC
Approved. Can you commit the change ? If not, then I'll do it.
Comment 2 commit-hook freebsd_committer 2020-06-25 15:00:25 UTC
A commit references this bug:

Author: arrowd
Date: Thu Jun 25 14:59:57 UTC 2020
New revision: 540397
URL: https://svnweb.freebsd.org/changeset/ports/540397

Log:
  math/givaro: Fix build on CURRENT.

  PR:		247537
  Approved by:	pi (maintainer)

Changes:
  head/math/givaro/Makefile
  head/math/givaro/files/patch-configure.ac
  head/math/givaro/files/patch-src_kernel_gmp++_gmp++__int.h
  head/math/givaro/files/patch-src_kernel_gmp++_gmp++__int__cstor.C
Comment 3 Gleb Popov freebsd_committer 2020-06-25 15:01:07 UTC
Thanks for quick response!
Comment 4 Gleb Popov freebsd_committer 2020-06-26 08:23:03 UTC
Upstream fixed this bug in a different way, so my patch should be removed with new math/linalg release.

https://github.com/linbox-team/linbox/pull/256
Comment 5 commit-hook freebsd_committer 2020-06-29 14:45:05 UTC
A commit references this bug:

Author: arrowd
Date: Mon Jun 29 14:44:36 UTC 2020
New revision: 540777
URL: https://svnweb.freebsd.org/changeset/ports/540777

Log:
  math/givaro: Remove my patch now that correct upstream fix is added to math/linalg.

  PR:		247537

Changes:
  head/math/givaro/Makefile
  head/math/givaro/files/patch-src_kernel_gmp++_gmp++__int.h
  head/math/givaro/files/patch-src_kernel_gmp++_gmp++__int__cstor.C